app-id: net.zdechov.app.Tunneler
runtime: org.kde.Platform
runtime-version: '5.15-23.08'
sdk: org.kde.Sdk
sdk-extensions:
  - org.freedesktop.Sdk.Extension.freepascal
command: Tunneler
finish-args:
  - --share=ipc
  - --socket=fallback-x11
  - --socket=wayland
  - --socket=pulseaudio
  - --device=dri
modules:
  - name: qt5pas
    buildsystem: qmake
    config-opts:
      - -after
      - target.path=/app/lib
    sources:
      - type: shell
        commands:
          - cp -r /usr/lib/sdk/freepascal/share/lazarus/lcl/interfaces/qt5/cbindings/. .
  - name: Tunneler
    sources:
      - type: svn
        url: https://svn.zdechov.net/Tunneler/tags/1.1.1
        revision: r104
    buildsystem: simple
    build-commands:
      - |
        . /usr/lib/sdk/freepascal/enable.sh
        lazbuild --build-mode=Release --ws=qt5 tunneler.lpi
      - install -Dm755 Tunneler -t $FLATPAK_DEST/share/Tunneler
      - install -d $FLATPAK_DEST/bin
      - ln -s $FLATPAK_DEST/share/Tunneler/Tunneler $FLATPAK_DEST/bin/Tunneler
      - install -Dm644 Install/flatpak/${FLATPAK_ID}.desktop -t $FLATPAK_DEST/share/applications
      - install -Dm644 Images/256x256/Tunneler.png $FLATPAK_DEST/share/icons/hicolor/256x256/apps/${FLATPAK_ID}.png
      - install -Dm644 Languages/*.po -t $FLATPAK_DEST/share/Tunneler/Languages
      - install -Dm644 Audio/*.wav -t $FLATPAK_DEST/share/Tunneler/Audio
      - install -Dm644 Install/flatpak/${FLATPAK_ID}.appdata.xml $FLATPAK_DEST/share/metainfo/${FLATPAK_ID}.metainfo.xml
